> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elanlanguages.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> In this guide, we will look at how to work with paginated responses when querying the ELAN AI Bridge API

In this guide, we will look at how to work with paginated responses when querying the ELAN AI Bridge API.
By default, all responses limit results to 50. However, you can go as high as 100 by adding a `limit` parameter to your requests.
If you are using one of the official ELAN AI Bridge API client libraries, you don't need to worry about pagination, as it's all being taken care of behind the scenes.

When an API response returns a list of objects, no matter the amount, pagination is supported.
In paginated responses, objects are nested in a corresponding data attribute (e.g. `glossaries`, `entries`, `terms`, etc.) and have a `total` attribute that indicates the total number of objects, as well as a `limit` and `offset` attribute that indicates the number of objects returned per page and the page number, respectively.

## Example using offset and limit

In this example, we request the second page of glossary entries by setting the `offset` parameter to 5 and the `limit` parameter to 5.

<ParamField query="offset" type="integer">
  The offset of the page you want to fetch.
</ParamField>

<ParamField query="limit" type="integer">
  Limit the number of items returned.
</ParamField>

```bash Manual pagination using cURL theme={null}
curl -G "https://api.elanlanguages.ai/v1/glossaries/1/entries?offset=5&limit=5" \
  -H "Authorization: Bearer {apiKey}" \
  -H "X-Org-Id: {orgId}"
```

```json Paginated response theme={null}
{
  "entries": [
    {
        "id": 163,
        "glossary_id": 13,
        "notes": null,
        "created_at": "2025-12-11T14:28:52.485163",
        "updated_at": null,
        "terms": [
            {
                "id": 327,
                "entry_id": 163,
                "term": "purposes and principles",
                "lang": "en",
                "description": null,
                "term_type": "preferred",
                "alternative_term": null
            },
            {
                "id": 328,
                "entry_id": 163,
                "term": "propósitos y principios",
                "lang": "it",
                "description": null,
                "term_type": "preferred",
                "alternative_term": null
            }
        ]
    },
    {
      // ...
    },
    {
      // ...
    },
    {
      // ...
    },
    {
      // ...
    }
  ],
  "total": 80,
  "limit": 5,
  "offset": 5
}
```
